Page MenuHomePhabricator

hg-core: run rustfmt on configparser
AcceptedPublic

Authored by indygreg on Dec 7 2019, 5:57 PM.

Details

Reviewers
Alphare
durin42
Group Reviewers
hg-reviewers
Summary

The vendored code doesn't follow modern rustfmt's conventions.
This commit runs rustfmt so it does.

  1. skip-blame rustfmt

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

indygreg created this revision.Dec 7 2019, 5:57 PM
quark added a subscriber: quark.Dec 7 2019, 6:32 PM

We actually ran rustfmt, but it's an older version (rustfmt 1.3.0-stable (d334502 2019-06-09)) and I verified the code still formats under that particular version of rustfmt with empty rustfmt.toml. In other words, rustfmt itself seems to change over time.

indygreg retitled this revision from rust-configparser: run rustfmt to hg-core: run rustfmt on configparser.
indygreg edited the summary of this revision. (Show Details)
indygreg updated this revision to Diff 18546.
Alphare accepted this revision.Dec 9 2019, 8:16 AM
durin42 accepted this revision.Dec 11 2019, 12:45 PM
This revision is now accepted and ready to land.Dec 11 2019, 12:45 PM